Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::RTORB Interface Reference

Inheritance diagram for RTCORBA::RTORB:

[legend]
List of all members.

## Public Methods
Mutex | create_mutex ()
void | destroy_mutex (in Mutex the_mutex)
Mutex | create_named_mutex (in string name, out boolean created_flag)
Mutex | open_named_mutex (in string name) raises (MutexNotFound)
TCPProtocolProperties | create_tcp_protocol_properties (in long send_buffer_size, in long recv_buffer_size, in boolean keep_alive, in boolean dont_route, in boolean no_delay)
ThreadpoolId | create_threadpool (in unsigned long stacksize, in unsigned long static_threads, in unsigned long dynamic_threads, in Priority default_priority, in boolean allow_request_buffering, in unsigned long max_buffered_requests, in unsigned long max_request_buffer_size)
ThreadpoolId | create_threadpool_with_lanes (in unsigned long stacksize, in ThreadpoolLanes lanes, in boolean allow_borrowing, in boolean allow_request_buffering, in unsigned long max_buffered_requests, in unsigned long max_request_buffer_size)
void | destroy_threadpool (in ThreadpoolId threadpool) raises (InvalidThreadpool)
PriorityModelPolicy | create_priority_model_policy (in PriorityModel priority_model, in Priority server_priority)
ThreadpoolPolicy | create_threadpool_policy (in ThreadpoolId threadpool)
PriorityBandedConnectionPolicy | create_priority_banded_connection_policy (in PriorityBands priority_bands)
ServerProtocolPolicy | create_server_protocol_policy (in ProtocolList protocols)
ClientProtocolPolicy | create_client_protocol_policy (in ProtocolList protocols)
PrivateConnectionPolicy | create_private_connection_policy ()

## Member Function Documentation

ClientProtocolPolicy RTCORBA::RTORB::create_client_protocol_policy | ( | in ProtocolList | protocols | ) |

Mutex RTCORBA::RTORB::create_mutex | ( |  | ) |

Mutex RTCORBA::RTORB::create_named_mutex | ( | in string | name,
|  | out boolean | created_flag
| ) |

PriorityBandedConnectionPolicy RTCORBA::RTORB::create_priority_banded_connection_policy | ( | in PriorityBands | priority_bands | ) |

PriorityModelPolicy RTCORBA::RTORB::create_priority_model_policy | ( | in PriorityModel | priority_model,
|  | in Priority | server_priority
| ) |

PrivateConnectionPolicy RTCORBA::RTORB::create_private_connection_policy | ( |  | ) |

ServerProtocolPolicy RTCORBA::RTORB::create_server_protocol_policy | ( | in ProtocolList | protocols | ) |

TCPProtocolProperties RTCORBA::RTORB::create_tcp_protocol_properties | ( | in long | send_buffer_size,
|  | in long | recv_buffer_size,
|  | in boolean | keep_alive,
|  | in boolean | dont_route,
|  | in boolean | no_delay
| ) |

ThreadpoolId RTCORBA::RTORB::create_threadpool | ( | in unsigned long | stacksize,
|  | in unsigned long | static_threads,
|  | in unsigned long | dynamic_threads,
|  | in Priority | default_priority,
|  | in boolean | allow_request_buffering,
|  | in unsigned long | max_buffered_requests,
|  | in unsigned long | max_request_buffer_size
| ) |

ThreadpoolPolicy RTCORBA::RTORB::create_threadpool_policy | ( | in ThreadpoolId | threadpool | ) |

ThreadpoolId RTCORBA::RTORB::create_threadpool_with_lanes | ( | in unsigned long | stacksize,
|  | in ThreadpoolLanes | lanes,
|  | in boolean | allow_borrowing,
|  | in boolean | allow_request_buffering,
|  | in unsigned long | max_buffered_requests,
|  | in unsigned long | max_request_buffer_size
| ) |

void RTCORBA::RTORB::destroy_mutex | ( | in Mutex | the_mutex | ) |

void RTCORBA::RTORB::destroy_threadpool | ( | in ThreadpoolId | threadpool | ) | raises (InvalidThreadpool)

Mutex RTCORBA::RTORB::open_named_mutex | ( | in string | name | ) | raises (MutexNotFound)

The documentation for this interface was generated from the following file:

- RTCORBA.pidl